> ## Documentation Index
> Fetch the complete documentation index at: https://docs.okrapdf.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Collection

> Update a collection's name, description, or visibility.

## Overview

Partially updates collection metadata. Only provided fields are changed.

## Request

<ParamField path="id" type="string" required>
  Collection ID (`col-...`) or collection name.
</ParamField>

<ParamField body="name" type="string">
  New display name.
</ParamField>

<ParamField body="description" type="string">
  New description.
</ParamField>

<ParamField body="visibility" type="string">
  `private` or `public`.
</ParamField>

<RequestExample>
  ```bash theme={null}
  curl -X PATCH https://api.okrapdf.com/v1/collections/col-40da068481cf4f248853507cba6be611 \
    -H "Authorization: Bearer okra_YOUR_KEY" \
    -H "Content-Type: application/json" \
    -d '{"visibility": "public"}'
  ```
</RequestExample>

### Response (200)

```json theme={null}
{
  "ok": true
}
```
